OS X suddenly needs software for printer that's worked last week

Discussion in 'Mac Accessories' started by Raytrace, Aug 8, 2013.

  1. Raytrace macrumors member

    Joined:
    Apr 2, 2010
    #1
    I just migrated from a 2008 MP to a 2012 MP and went through the migration process. Everything seems to be OK except I can no longer print.

    My Canon MP780, which has worked fine for YEARS, won't work because OS X says software is required.

    What??

    When I look on Canon's website, they say "no software is required". I know that! It's worked fine for years!

    Why in the hell is this happening??
     
  2. Weaselboy Moderator

    Weaselboy

    Staff Member

    Joined:
    Jan 23, 2005
    Location:
    California
    #2
    From looking at the Cannon and Apple web sites, it looks to me like there are no printer drivers available for that printer under Mountain Lion, so it will not work. It looks like that printer is from around 2004 (?) and Cannon never wrote drivers for Lion or Mountain Lion.

    Sounds like you need a new printer.
     
  3. FreakinEurekan macrumors 68040

    FreakinEurekan

    Joined:
    Sep 8, 2011
    Location:
    Eureka Springs, Arkansas
    #3
    Looks like Gutenprint may have a CUPS driver that might get it working under Mountain Lion, so it may be possible to get it working but it'd be a hassle. I'd look at new printers personally.
     

Share This Page